Summary:       Add inline tabbed content to your Sphinx documentation
Name:          python-sphinx-inline-tabs
Version:       2023.04.21
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/pradyunsg/sphinx-inline-tabs
Source0:       %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires: python3-devel pyproject-rpm-macros

BuildArch:     noarch

%description
Add inline tabbed content to your Sphinx documentation.

Features:

- Elegant design: Small footprint in the markup and generated website, while looking good.
- Configurable: All the colors can be configured using CSS variables.
- Synchronization: Tabs with the same label all switch with a single click.
- Works without JavaScript: JavaScript is not required for the basics, only for synchronization.

%package -n python3-sphinx-inline-tabs
Summary:        Add inline tabbed content to your Sphinx documentation

%description -n python3-sphinx-inline-tabs
Add inline tabbed content to your Sphinx documentation.

Features:

- Elegant design: Small footprint in the markup and generated website, while looking good.
- Configurable: All the colors can be configured using CSS variables.
- Synchronization: Tabs with the same label all switch with a single click.
- Works without JavaScript: JavaScript is not required for the basics, only for synchronization.

%prep
%autosetup -p1 -n sphinx-inline-tabs-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_inline_tabs

%files -n python3-sphinx-inline-tabs -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc CODE_OF_CONDUCT.md

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 2023.04.21-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.04.21-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 2023.04.21-1
- update to 2023.04.21

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.01.02~b11-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.01.02~b11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.01.02~b11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.01.02~b11-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 2022.01.02~b11-1
- initial build
